/* $Id$

This file is part of gldbg
Copyright © 2011  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#include "functions.h"
#include "grabber.h"

namespace {

template<void (Grabber::*next_frame)()>
void eglSwapBuffers(void *user_data, unsigned, void *, void *)
{
	(reinterpret_cast<Grabber *>(user_data)->*next_frame)();
}

}

unsigned short Grabber::break_funcs[] =
{
	FUNC_EGLSWAPBUFFERS,
	FUNC_GLDRAWARRAYS,
	FUNC_GLDRAWELEMENTS,
	0
};

void Grabber::flavor_init()
{
	decoder->eglSwapBuffers = eglSwapBuffers<&Grabber::next_frame>;
}
