/* $Id$

This file is part of gldbg
Copyright © 2009-2011  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef TRACER_H_
#define TRACER_H_

#include <cstdio>
#include "tool.h"

struct GlPrint;

class Tracer: public RegisteredTool<Tracer>
{
private:
	GlPrint *glprint;
	FILE *out;
	bool close_out;
	bool enabled;

public:
	Tracer(GlDbg &);
	~Tracer();

	virtual void decode(const char *, unsigned);
private:
	void set_output(FILE *, bool);
	void cmd_trace(const std::string &);
};

#endif
