/* $Id$

This file is part of gldbg
Copyright © 2010  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef INSPECTOR_H_
#define INSPECTOR_H_

#include "glstate.h"
#include "tool.h"

class Inspector: public RegisteredTool<Inspector>
{
private:
	GlState state;

public:
	Inspector(GlDbg &);

	virtual void decode(const char *, unsigned);
private:
	void cmd_state(const std::string &);
	void cmd_texture(const std::string &);
	void cmd_buffer(const std::string &);
};

#endif
