/* $Id$

This file is part of gldbg
Copyright © 2009  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef TMPALLOC_H_
#define TMPALLOC_H_

/**
Allocates a temporary memory region.  The returned memory comes from a shared
pool and will get reused eventually.
*/
void *tmpalloc(unsigned);

/**
Frees the shared pool used by tmpalloc.  It will be recreated if tmpalloc is
called again.
*/
void tmpfree();

#endif
